Bug 21535 - Anonymize function in Patron should not scramble email addresses
Summary: Anonymize function in Patron should not scramble email addresses
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 21336
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-10 13:31 UTC by Marcel de Rooy
Modified: 2019-05-17 13:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 21535: Anonymize function in Patron should not scramble email addresses (2.22 KB, patch)
2018-10-10 13:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21535: Anonymize function in Patron should not scramble email addresses (2.28 KB, patch)
2019-04-26 12:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21535: Anonymize function in Patron should not scramble email addresses (2.36 KB, patch)
2019-05-01 09:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-10-10 13:31:11 UTC

    
Comment 1 Marcel de Rooy 2018-10-10 13:41:27 UTC
Created attachment 80349 [details] [review]
Bug 21535: Anonymize function in Patron should not scramble email addresses

Scrambled email addresses will only generate warnings etc.
Clear them although they might be in BorrowerMandatoryField.

Test plan:
Run t/db_dependent/Koha/Patrons.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 José-Mario Monteiro-Santos 2019-01-18 20:03:29 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2019-04-19 10:32:05 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-04-26 12:22:24 UTC
Created attachment 88906 [details] [review]
Bug 21535: Anonymize function in Patron should not scramble email addresses

Scrambled email addresses will only generate warnings etc.
Clear them although they might be in BorrowerMandatoryField.

Test plan:
Run t/db_dependent/Koha/Patrons.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

t/db_depepended/Koha/Patrons.t runs with no warnings.
Comment 5 Martin Renvoize 2019-05-01 09:25:54 UTC
Created attachment 89162 [details] [review]
Bug 21535: Anonymize function in Patron should not scramble email addresses

Scrambled email addresses will only generate warnings etc.
Clear them although they might be in BorrowerMandatoryField.

Test plan:
Run t/db_dependent/Koha/Patrons.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

t/db_depepended/Koha/Patrons.t runs with no warnings.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-05-01 09:26:14 UTC
No regressions found. Passing QA
Comment 7 Marcel de Rooy 2019-05-01 10:52:19 UTC
Thx Owen and Martin !
Comment 8 Nick Clemens 2019-05-09 19:32:42 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-05-17 13:18:17 UTC
Dependency not in 18.11.x series.